Subject: Re: linux-next: Tree for August 14 (sysfs/acpi errors)

From: Greg KH <[email-masked]>
Date: Sat, 16 Aug 2008 20:40:51 -0700

On Sun, Aug 17, 2008 at 04:30:34AM +0200, Andi Kleen wrote:
> Greg KH wrote:
>> On Sat, Aug 16, 2008 at 05:48:26AM +0200, Andi Kleen wrote:
>>>> They have been module options, not prefixed kernel parameters so far,
>>>> and the prefix was just the module name.
>>>> So it just strikes back, that acpi uses generic names for the modules,
>>>> there would have been no problem if "power" would be called "acpi_power"
>>>> and the options would just be "acpi.acpica_version" and
>>>> "acpi_power.nocheck".
>>>> But well, there are driver modules just called "option", so acpi is not
>>>> that bad. :)
>>>>> I think the generic params code should be fixed to handle this.
>>>> We could try to look up existing directories to use instead of expecting
>>>> that we need to create and own them. I guess,
>>> sysfs does this anyways, doesn't it. We would just need to teach it
>>> to not BUG() in this case, perhaps with a special entry point.
>>> Also a BUG() in general seems a little harsh for this, surely a WARN_ON
>>> should be enough.
>> It is a WARN() call, not a BUG().
>
> Ok. Can we remove it? Or add a new entry point that allows to disable it?

No!

What you are doing here is wrong, trying to create two files with the
same name.  You just should not be doing that at all, it's that simple.
Fix the broken code/link order, don't paper it over in the sysfs layer.

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-acpi" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html